=== modified file 'client/option_string.h'
--- client/option_string.h	2010-10-14 19:05:57 +0000
+++ client/option_string.h	2010-10-15 02:07:26 +0000
@@ -19,6 +19,9 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
+#ifndef CLIENT_OPTION_STRING_H
+#define CLIENT_OPTION_STRING_H
+
 #include "client_priv.h"
 #include <iostream>
 #include <string>
@@ -105,3 +108,5 @@
   size_t option_length;
   OptionString *next;
 };
+
+#endif /* CLIENT_OPTION_STRING_H */

=== modified file 'client/statement.h'
--- client/statement.h	2010-10-14 19:05:57 +0000
+++ client/statement.h	2010-10-15 02:07:26 +0000
@@ -19,6 +19,9 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
+#ifndef CLIENT_STATEMENT_H
+#define CLIENT_STATEMENT_H
+
 #include "client_priv.h"
 #include <string>
 #include <iostream>
@@ -120,3 +123,5 @@
   slap_query_t type;
   Statement *next;
 };
+
+#endif /* CLIENT_STATEMENT_H */

=== modified file 'client/stats.h'
--- client/stats.h	2010-10-14 19:05:57 +0000
+++ client/stats.h	2010-10-15 02:07:26 +0000
@@ -19,6 +19,9 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
+#ifndef CLIENT_STATS_H
+#define CLIENT_STATS_H
+
 #include "client_priv.h"
 #include <string>
 #include <iostream>
@@ -117,3 +120,5 @@
   long int create_timing;
   uint64_t create_count;
 };
+
+#endif /* CLIENT_STATS_H */

=== modified file 'client/thread_context.h'
--- client/thread_context.h	2010-10-14 19:05:57 +0000
+++ client/thread_context.h	2010-10-15 02:07:26 +0000
@@ -19,6 +19,9 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
+#ifndef CLIENT_THREAD_CONTEXT_H
+#define CLIENT_THREAD_CONTEXT_H
+
 #include "client_priv.h"
 #include "statement.h"
 #include <string>
@@ -62,3 +65,5 @@
   Statement *stmt;
   uint64_t limit;
 };
+
+#endif /* CLIENT_THREAD_CONTEXT_H */

